gate-tempest-devstack-vm-full failing with prettytable problem

Bug #1163631 reported by Davanum Srinivas (DIMS) on 2013-04-03
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
Undecided
Unassigned
devstack
Undecided
Unassigned

Bug Description

Please see example:
http://logs.openstack.org/25967/1/check/gate-tempest-devstack-vm-full/11339/console.html

2013-04-03 00:10:59.062 | 2013-04-03 00:10:59 Installed /opt/stack/new/nova
2013-04-03 00:10:59.062 | 2013-04-03 00:10:59 Processing dependencies for nova==2013.2.a187.ga48c657
2013-04-03 00:10:59.065 | 2013-04-03 00:10:59 error: Installed distribution prettytable 0.7.1 conflicts with requirement prettytable>=0.6,<0.7

Changed in nova:
status: New → Fix Committed
Changed in devstack:
status: New → Fix Committed
Alan Pevec (apevec) wrote :

> Review is here - https://review.openstack.org/#/c/25939/

Not sure how is that fixing prettytable issue, but if it does, we need it on stable/folsom as it blocks gate there
e.g. http://logs.openstack.org/24079/5/gate/gate-tempest-devstack-vm-smoke/428/console.html.gz

Alan,

From what i heard on IRC, it works by changing the order of the installs of the different pieces.

-- dims

Julie Pichon (jpichon) wrote :

It looks like this is the devstack review to also fix the problem on Folsom: https://review.openstack.org/#/c/25976/

Dean Troyer (dtroyer) on 2013-04-14
Changed in devstack:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-05-29
Changed in nova:
milestone: none → havana-1
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-10-17
Changed in nova:
milestone: havana-1 → 2013.2
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers